#! /bin/bash

# Script makes the quadrotor move to one side of the room, to the side of the wall, and when ctrl-C is pressed, the quadrotor moves pass the wall

#TODO: Make it possible for the system ask the user when to run different commands, as to allow different systems users to handle their case on their own

gnome-terminal -e "roslaunch radar_quadrotor_gazebo ntnu_room_wall.launch"

# Standard sleeping time between commands is 5 seconds
SLEEPTIME=${1:-2}

sleep $SLEEPTIME
gnome-terminal -e "roslaunch radar_quadrotor_gazebo spawn_quadrotor_with_expanded_radar.launch"

sleep $SLEEPTIME
gnome-terminal -e "rosrun radar_data_visualization expanded_radar_amplitude_visualization.py"
gnome-terminal -e "rosrun radar_data_visualization radar_heat_visualization_improved.py"

sleep $SLEEPTIME
rostopic pub /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

rostopic pub /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"



rostopic pub /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

rostopic pub /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"


rostopic pub /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

rostopic pub /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"
